Retrieves a list of Users.
- Requests must specify a filter. Requests without a
filterparameter return atooManyerror. - The
filterparameter only supports equality onuserName(for example,userName eq "user@domain.com"). - Sub-string matches (
co,sw,ew), logical operators (and,or), and complex value filters are not supported. - Pagination is not supported.
HTTP request
GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Users
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
Required. The customer ID. |
Query parameters
| Parameters | |
|---|---|
filter |
The filter parameter. Currently only supports equality on userName. |
Request body
The request body must be empty.
Response body
Response message from listing Users.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"schemas": [
string
],
"resources": [
{
object ( |
| Fields | |
|---|---|
schemas[] |
The schemas for the returned resources. |
resources[] |
The list of requested resources. |
totalResults |
The total number of results. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admin.directory.user.readonlyhttps://www.googleapis.com/auth/admin.directory.user
For more information, see the Authorization guide.